org.apache.hadoop.yarn.server.federation.store.records

## Class GetApplicationHomeSubClusterRequest

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.GetApplicationHomeSubClusterRequest

- Direct Known Subclasses:
    GetApplicationHomeSubClusterRequestPBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class GetApplicationHomeSubClusterRequest
      extends Object

  Request class to obtain the home sub-cluster for the specified `ApplicationId`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetApplicationHomeSubClusterRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.apache.hadoop.yarn.api.records.ApplicationId` | `getApplicationId()` Get the `ApplicationId` representing the unique identifier of the application.
    `static GetApplicationHomeSubClusterRequest` | `newInstance(org.apache.hadoop.yarn.api.records.ApplicationId appId)`
    `abstract void` | `setApplicationId(org.apache.hadoop.yarn.api.records.ApplicationId applicationId)` Set the `ApplicationId` representing the unique identifier of the application.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetApplicationHomeSubClusterRequest

          public GetApplicationHomeSubClusterRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static GetApplicationHomeSubClusterRequest newInstance(org.apache.hadoop.yarn.api.records.ApplicationId appId)

    - #### getApplicationId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract org.apache.hadoop.yarn.api.records.ApplicationId getApplicationId()

      Get the `ApplicationId` representing the unique identifier of the application.
      Returns:
        the application identifier

    - #### setApplicationId

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setApplicationId(org.apache.hadoop.yarn.api.records.ApplicationId applicationId)

      Set the `ApplicationId` representing the unique identifier of the application.
      Parameters:
        `applicationId` - the application identifier

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.